<template>
     <v-navigation-drawer  v-model="drawer" app  :mini-variant.sync="mini" :permanent="$vuetify.breakpoint.mdAndUp" hide-overlay>
      <v-list>
         <v-list-item class="px-0 pt-5 app-header"  :class="{'px-5' : !mini}">
            <v-list-item-avatar :class="{'custom-avatar' : !mini, 'ml-4' : mini}" tile>
              <v-img src="../../assets/user.png" v-if="!mini"></v-img>
              <v-img src="../../assets/user.png" v-else></v-img>

            </v-list-item-avatar>
              <div class="app-title" v-if="!mini">Inventory Admin</div>

             <v-btn  icon @click="close()" class="hidden-md-and-up">
              <v-icon>mdi-close</v-icon>
            </v-btn>
         </v-list-item>
      </v-list>

      <v-list class="mt-10 nav-holder" >
        <v-list-item-group v-model="selectedMenu" class="px-3 nav-links"  >
          <template  v-for="(item, i) in items">
            <v-list-item
            :key="i"
            :value ="item"
            link
            dense
            class="pa-1"
            :to="item.link"
            @click="selectMenu(item)"
            v-if="item.status !== 0"
           >
              <v-list-item-icon>
                <v-icon class="sidebar-icon">{{ item.icon }}</v-icon>
              </v-list-item-icon>

              <v-list-item-content class="ml-n5">
                <v-list-item-title>{{ item.title }}</v-list-item-title>
              </v-list-item-content>
              <v-list-item-action>
            </v-list-item-action>
        </v-list-item>

          </template>

        </v-list-item-group>
      </v-list>
    </v-navigation-drawer>

</template>

<script>
import { mapMutations, mapGetters, mapState, mapActions } from 'vuex';
// import coreMxn from '@/mixins/core_mixin';

export default {
  name: 'SideBar',
  components: {
    // links: () => import('./navigationLinks'),
  },
  // mixins: [coreMxn],

  data() {
    return {
      sideDrawer: this.drawer,
      drawer: this.drawerStatus,
      selectedMenu: [0],
      mini: false,

    };
  },
  computed: {
    // ...mapState(['s3Path']),
    ...mapGetters(['getDrawerStatus']),
    permanent() {
      return !this.drawer;
    },
    items() {
      return [
        { title: 'Inventory', icon: 'mdi-format-align-justify', link: '/inventory', permission: 'view-payment-transactions', status: 'Payments' },
        { title: 'Checkout', icon: 'mdi-cart', link: '/checkout', permission: 'view-access-control', status: 'access-control' },
        { title: 'Users', icon: 'mdi-lock', link: '/access-control/users', parent: 'Access Control', permission: 'users.index' },
        { title: 'Roles', icon: 'mdi-lock', link: '/access-control/roles', parent: 'Access Control', permission: 'roles.index' },
        { title: 'Permissions', icon: 'mdi-lock', link: '/access-control/permissions', parent: 'Access Control', permission: 'permissions.index' },
      ];
    },
  },
  watch: {
    getDrawerStatus(status) {
      this.drawer = status;
      this.mini = !status;
    },
  },
  mounted() {
    this.drawer = this.getDrawerStatus;
  },
  methods: {
    ...mapMutations(['setSelectedMenu', 'setDrawerStatus']),
    close() {
      this.mini = true;
      this.drawer = false;
      this.setDrawerStatus(false);
    },
    selectMenu(item) {
      // localStorage.removeItem('currentPage');
      this.setSelectedMenu(item);

      // this.setSearchedStatus(false);
    },
  },

};
</script>

<style>
.app-header {
  display: block;
}
.v-application--is-ltr .v-list-group--sub-group .v-list-group__header {
    padding-left: 0;
}

</style>
